Package twisted :: Package runner :: Module inetdconf :: Class ServicesConf

[frames | no frames]

## Class ServicesConf

    SimpleConfFile --+
                     |
                    ServicesConf

/etc/services parser

Method Summary
| `__init__(self)`
| `parseFields(self, name, portAndProtocol, *aliases)`
Inherited from SimpleConfFile
| ``parseFile`(self, file)` Parse a configuration file
| ``parseLine`(self, line)` Override this.

Instance Variable Summary
| `services`: dict mapping service names to (port, protocol) tuples.

Class Variable Summary
`str` | `defaultFilename` = `'/etc/services'`
Inherited from SimpleConfFile
`str` | `commentChar` = `'#'`

Instance Variable Details

### services

dict mapping service names to (port, protocol) tuples.

Class Variable Details

### defaultFilename

  Type:
    `str`
  Value:

        '/etc/services'

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net